Subject: Re: bug#56492: 29.0.50; dired not updating, ! acts weird during long Emacs session

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 11 Jul 2022 11:54:28 +0200

Jean Louis <[email-masked]> writes:

> - I am using deleting by moving to trash, and sometimes I use d to
>   delete file, then I see Trashing, but dired bufffer remains same
>   without being reverted, I remain with file in the list marked with
>   red or with D, and I can repeat action of deletion even if file does
>   not exist. Maybe deletion function should verify if file exists?

Do you have a recipe to reproduce the issue?

> - If file is Preview.pdf I can see in message buffer Trash
>   Downloads/Preview.pdf y/n question, which is weird, as I am in
>   ~/Downloads directory and I am offered "Downloads/Preview.pdf"
>   question while otherwise it should be only Preview.pdf

What is the message exactly?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no